summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNed Ludd <solar@gentoo.org>2006-08-02 18:01:03 +0000
committerNed Ludd <solar@gentoo.org>2006-08-02 18:01:03 +0000
commit0e21631cd93b6a3d22d413f98ceb3a66acfc398f (patch)
treea54e5153f0e761eee81007cf66d5ee97b3849411 /eclass/toolchain.eclass
parentRevbump to 2.6.17.7 to fix CVE-2006-2936 and minor cleanup (diff)
downloadhistorical-0e21631cd93b6a3d22d413f98ceb3a66acfc398f.tar.gz
historical-0e21631cd93b6a3d22d413f98ceb3a66acfc398f.tar.bz2
historical-0e21631cd93b6a3d22d413f98ceb3a66acfc398f.zip
- do be stupid and die when c89/c99 do not exist
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass10
1 files changed, 8 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index f70c86b55e5c..a84bd9954ce8 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.298 2006/07/30 17:43:01 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.299 2006/08/02 18:01:03 solar Exp $
HOMEPAGE="http://gcc.gnu.org/"
LICENSE="GPL-2 LGPL-2.1"
@@ -880,7 +880,13 @@ gcc-compiler_pkg_postinst() {
&& mkdir -p "${ROOT}"/sbin
cp "${ROOT}/${DATAPATH}"/fixlafiles.awk "${ROOT}"/lib/rcscripts/awk/ || die "installing fixlafiles.awk"
cp "${ROOT}/${DATAPATH}"/fix_libtool_files.sh "${ROOT}"/sbin/ || die "installing fix_libtool_files.sh"
- cp "${ROOT}/${DATAPATH}"/c{89,99} "${ROOT}"/usr/sbin/ || die "installing c89/c99"
+
+ # These don't seem to exist when using the -K option and a hardened compiler and probably other cases also.
+ for x in "${ROOT}/${DATAPATH}"/c{89,99} ; do
+ if [[ -e ${x} ]]; then
+ cp ${x} "${ROOT}"/usr/sbin/ || die "installing c89/c99"
+ fi
+ done
fi
}